logs
Logs are kept for up to seven days and limited to 1,000 per server.
You can’t access logs after the retention period ends.
This API method counts towards your operation quota but isn’t logged.
Examples
Parameters
integer
default:10
The maximum number of entries to retrieve starting at the offset.
Maximum allowed value: 1,000.
integer
default:0
Specify the first entry to retrieve (with 0 being the most recent log entry).
The maximum offset is the total number of stored logs (which can be lower than the maximum of 1,000).
object
A mapping of request options to send along with the request.
enum<string>
Type of logs to retrieve. One of:
all: Retrieve all the logs.query: Retrieve only the queries.build: Retrieve only the build operations.error: Retrieve only the errors.
Response
string
Answer body. It’s truncated after 1000 characters.
string
HTTP response code.
boolean
Exhaustive flags used during the query.
string
Index name of the log.
object[]
Contains an object for each performed query with the
indexName, queryID, offset, and userToken.string
Client ip of the call.
string
Rest type of the method.
string
Number of API calls.
string
Processing time for the query. This does not include network time.
string
Request body. It’s truncated after 1000 characters.
string
Request Headers (API Key is obfuscated).
string
Number of hits returned for the query.
string
SHA1 ID of entry.
string
Timestamp in ISO-8601 format.
string
Request URL.
Response as JSON
This section shows the JSON response returned by the API. Each API client wraps this response in language-specific objects, so the structure may vary. To view the response, use thegetLogs method.
Don’t rely on the order of properties—JSON objects don’t preserve key order.
JSON